Package org.flowable.engine.interceptor

# Class CreateUserTaskBeforeContext

java.lang.Object
org.flowable.engine.interceptor.CreateUserTaskBeforeContext

public class CreateUserTaskBeforeContext extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `assignee`
  `protected List<String>`
  `candidateGroups`
  `protected List<String>`
  `candidateUsers`
  `protected String`
  `category`
  `protected String`
  `description`
  `protected String`
  `dueDate`
  `protected DelegateExecution`
  `execution`
  `protected String`
  `formKey`
  `protected String`
  `name`
  `protected String`
  `owner`
  `protected String`
  `priority`
  `protected String`
  `skipExpression`
  `protected UserTask`
  `userTask`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateUserTaskBeforeContext()`
  `CreateUserTaskBeforeContext(UserTask userTask, DelegateExecution execution, String name, String description, String dueDate, String priority, String category, String formKey, String skipExpression, String assignee, String owner, List<String> candidateUsers, List<String> candidateGroups)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssignee()`
  `List<String>`
  `getCandidateGroups()`
  `List<String>`
  `getCandidateUsers()`
  `String`
  `getCategory()`
  `String`
  `getDescription()`
  `String`
  `getDueDate()`
  `DelegateExecution`
  `getExecution()`
  `String`
  `getFormKey()`
  `String`
  `getName()`
  `String`
  `getOwner()`
  `String`
  `getPriority()`
  `String`
  `getSkipExpression()`
  `UserTask`
  `getUserTask()`
  `void`
  `setAssignee(String assignee)`
  `void`
  `setCandidateGroups(List<String> candidateGroups)`
  `void`
  `setCandidateUsers(List<String> candidateUsers)`
  `void`
  `setCategory(String category)`
  `void`
  `setDescription(String description)`
  `void`
  `setDueDate(String dueDate)`
  `void`
  `setExecution(DelegateExecution execution)`
  `void`
  `setFormKey(String formKey)`
  `void`
  `setName(String name)`
  `void`
  `setOwner(String owner)`
  `void`
  `setPriority(String priority)`
  `void`
  `setSkipExpression(String skipExpression)`
  `void`
  `setUserTask(UserTask userTask)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### userTask

    protected UserTask userTask

  - ### execution

    protected DelegateExecution execution

  - ### name

    protected String name

  - ### description

    protected String description

  - ### dueDate

    protected String dueDate

  - ### priority

    protected String priority

  - ### category

    protected String category

  - ### formKey

    protected String formKey

  - ### skipExpression

    protected String skipExpression

  - ### assignee

    protected String assignee

  - ### owner

    protected String owner

  - ### candidateUsers

    protected List<String> candidateUsers

  - ### candidateGroups

    protected List<String> candidateGroups

- ## Constructor Details

  - ### CreateUserTaskBeforeContext

    public CreateUserTaskBeforeContext()

  - ### CreateUserTaskBeforeContext

    public CreateUserTaskBeforeContext(UserTask userTask, DelegateExecution execution, String name, String description, String dueDate, String priority, String category, String formKey, String skipExpression, String assignee, String owner, List<String> candidateUsers, List<String> candidateGroups)

- ## Method Details

  - ### getUserTask

    public UserTask getUserTask()

  - ### setUserTask

    public void setUserTask(UserTask userTask)

  - ### getExecution

    public DelegateExecution getExecution()

  - ### setExecution

    public void setExecution(DelegateExecution execution)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getDueDate

    public String getDueDate()

  - ### setDueDate

    public void setDueDate(String dueDate)

  - ### getPriority

    public String getPriority()

  - ### setPriority

    public void setPriority(String priority)

  - ### getCategory

    public String getCategory()

  - ### setCategory

    public void setCategory(String category)

  - ### getFormKey

    public String getFormKey()

  - ### setFormKey

    public void setFormKey(String formKey)

  - ### getSkipExpression

    public String getSkipExpression()

  - ### setSkipExpression

    public void setSkipExpression(String skipExpression)

  - ### getAssignee

    public String getAssignee()

  - ### setAssignee

    public void setAssignee(String assignee)

  - ### getOwner

    public String getOwner()

  - ### setOwner

    public void setOwner(String owner)

  - ### getCandidateUsers

    public List<String> getCandidateUsers()

  - ### setCandidateUsers

    public void setCandidateUsers(List<String> candidateUsers)

  - ### getCandidateGroups

    public List<String> getCandidateGroups()

  - ### setCandidateGroups

    public void setCandidateGroups(List<String> candidateGroups)